Name:			Rex
Version:		1.14.3
Release:    1%{?dist}
Summary:		The friendly automation framework on basis of Perl

License:		ASL 2.0
URL:			https://www.rexify.org/
Source0:		https://cpan.metacpan.org/authors/id/F/FE/FERKI/%{name}-%{version}.tar.gz

BuildArch:		noarch


Requires:		perl(Data::Validate::IP)
Requires:		perl(Net::SSH2)
Requires:		perl(Net::OpenSSH)
Requires:		perl(Net::SFTP::Foreign)
Requires:		perl(Parallel::ForkManager)

BuildRequires:  git make rsync

BuildRequires:	perl-generators perl-interpreter
BuildRequires:	perl(attributes)
BuildRequires:	perl(autodie)
BuildRequires:	perl(AWS::Signature4)
BuildRequires:	perl(base)
BuildRequires:	perl(Carp)
BuildRequires:	perl(constant)
BuildRequires:	perl(Cwd)
BuildRequires:	perl(Data::Dumper)
BuildRequires:	perl(Data::Validate::IP)
BuildRequires:	perl(DBI)
Buildrequires:	perl(Devel::Caller)
Buildrequires:	perl(Digest::HMAC_SHA1)
Buildrequires:	perl(Digest::MD5)
Buildrequires:	perl(English)
BuildRequires:	perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:	perl(Exporter)
BuildRequires:	perl(Fcntl)
Buildrequires:	perl(File::Basename)
Buildrequires:	perl(File::Spec)
Buildrequires:	perl(File::Spec::Unix)
Buildrequires:	perl(File::Spec::Win32)
Buildrequires:	perl(File::ShareDir)
Buildrequires:	perl(File::ShareDir::Install)
Buildrequires:	perl(File::Temp)
Buildrequires:	perl(FindBin)
Buildrequires:	perl(Hash::Merge)
Buildrequires:	perl(HTTP::Request::Common)
Buildrequires:	perl(IO::File)
Buildrequires:	perl(IO::Select)
Buildrequires:	perl(IO::Socket)
Buildrequires:	perl(IO::String)
Buildrequires:	perl(IPC::Open3)
BuildRequires:	perl(JSON::MaybeXS)
BuildRequires:	perl(lib)
Buildrequires:	perl(List::MoreUtils)
Buildrequires:	perl(List::Util)
Buildrequires:	perl(LWP::UserAgent)
Buildrequires:	perl(MIME::Base64)
BuildRequires:	perl(Module::Metadata)
BuildRequires:	perl(Module::Load::Conditional)
Buildrequires:	perl(Net::OpenSSH::ShellQuoter)
BuildRequires:	perl(Net::SFTP::Foreign)
BuildRequires:	perl(overload)
BuildRequires:	perl(Parallel::ForkManager)
BuildRequires:	perl(POSIX)
Buildrequires:	perl(Scalar::Util)
Buildrequires:	perl(Sort::Naturally)
Buildrequires:	perl(Storable)
Buildrequires:	perl(strict)
Buildrequires:	perl(String::Escape)
Buildrequires:	perl(Sub::Override)
Buildrequires:	perl(Symbol)
Buildrequires:	perl(Term::ReadKey)
Buildrequires:	perl(Test::Builder::Module)
BuildRequires:	perl(Test::Deep)
BuildRequires:	perl(Test::Exception)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Output)
BuildRequires:	perl(Test::mysqld)
BuildRequires:	perl(Test::UseAllModules)
BuildRequires:	perl(Test::Warnings)
Buildrequires:	perl(Text::Glob)
Buildrequires:	perl(Text::Wrap)
Buildrequires:	perl(Time::HiRes)
Buildrequires:	perl(UNIVERSAL)
Buildrequires:	perl(vars)
Buildrequires:	perl(version)
Buildrequires:	perl(warnings)
BuildRequires:	perl(XML::LibXML)
Buildrequires:	perl(XML::Simple)
Buildrequires:	perl(YAML)

%description
(R)?ex(ify) is the friendly automation framework on basis of the Perl scripting
language. You can use it in your everyday DevOps life for:

	* Continous Delivery
	* Configuration Management
	* Automation
	* Cloud Deployment
	* Virtualization
	* Software Rollout
	* Server Provisioning

It's friendly to any combinations of local and remote execution, push and pull
style of management, or imperative and declarative approach. Instead of forcing
any specific model on you, it trusts you to be in the best position to decide
what to automate and how, allowing you to build the automation tool your
situation requires.

Rex runs locally, even if managing remotes via SSH. This means it's instantly
usable, without big rollout processes or anyone else to convince, making it
ideal and friendly for incremental automation.


%prep
%setup -q %{name}-%{version}


%build
perl Makefile.PL INSTALLDIRS=vendor NO_PERLLOCAL=1 NO_PACKLIST=1
make %{?_smp_mflags}


%check


%install
make pure_install DESTDIR=%{buildroot}

sed -i "s|/usr/bin/env perl|/usr/bin/perl|" %{buildroot}/%{_bindir}/rex

%{_fixperms} -c %{buildroot}


%files
%doc ChangeLog CONTRIBUTORS README
%license LICENSE
%{_mandir}/man1/rex.1*
%{_mandir}/man1/rexify.1*
%{_mandir}/man3/%{name}*
%attr(644, root, root) %{perl_vendorlib}/%{name}.pm
%attr(644, root, root) %{perl_vendorlib}/auto/share/dist/%{name}/
%{perl_vendorlib}/%{name}/
%attr(755, root, root) %{_bindir}/rex
%attr(755, root, root) %{_bindir}/rexify


%changelog
* Mon Sep 02 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.3-1
- initial build
